Subject: [os2genau_digest] No. 1901
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 10 Jan 2010 00:00:33 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 09 January 2010
 Number  1901
**************************************************

Subjects for today
 
1   PC problems : Alan Duval <amoht at westnet dot com dot au>
2  Re:  PC problems : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  PC problems : Ed Durrant <edurrant at durrant dot mine dot nu>
4  Re:  PC problems : Peter Rehfisch" <gillpete at vic.australis dot com dot au>
5  Re:  PC problems : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 09 Jan 2010 20:35:17 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   PC problems

Hi,

I bought a Gigabyte EP-45-UD-3R motherboard and  Intel dual core E7500 
CPU last year and decided to put it in a spare PC this week to upgrade 
it. Assembled it and bought a SATA 500G hard drive as the stores seem to 
be mainly selling SATA drives now. After assembling it I couldn't get it 
to go, so took it to the local PC shop and the technician checked the 
assembly and told me that one RAM slot was faulty and not to use that 
slot. I took it home and couldn't get eCS 2.0 rc7 to install on the SATA 
drive. The install process would go variable distances and then stop. 
Windows XP would install with no problems so I wondered whether  eCS has 
troubles with large SATA drives even though it was partitioned. Hence I 
took it back to the technician and got him to install an old 40G IDE 
hard drive as well  and to make sure they would both work. I was then 
able to install eCS 2.0 rc7 on the IDE drive. I thought everything was 
OK and installed a number of programs but now find that the system 
freezes if I try to open WIN 16. I could live with this as I only have a 
couple of programs in my WIN 16 partition.

The bigger problem is that I can't access the internet even though the 
correct Router lights light up.

The motherboard LAN has a Realtek 8111C chipset.

I went in to MPTS and noted that the Stage 1 screen has "No network 
adapter" as the first entry and underneath lists other adapters including:
Realtek  8009  ISA  Ethernet adapter
Realtek  8019  ISA  Plug and Play Ethernet adapter
Realtek  8129  Fast Ethernet adapter
Realtek  8139/8130/810x  Fast Ethernet adapter
Realtek  RTL8169  MAC  driver
RTL  8029  PCI  Ethernet adapter

Do I need to install another adapter? If so, where do I get it from?

Hoping someone can advise what I should do.

Regards,

Alan Duval
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Sat, 09 Jan 2010 22:27:11 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  PC problems

Alan Duval wrote:
> Hi,
>
> I bought a Gigabyte EP-45-UD-3R motherboard and  Intel dual core E7500 
> CPU last year and decided to put it in a spare PC this week to upgrade 
> it. Assembled it and bought a SATA 500G hard drive as the stores seem 
> to be mainly selling SATA drives now. After assembling it I couldn't 
> get it to go, so took it to the local PC shop and the technician 
> checked the assembly and told me that one RAM slot was faulty and not 
> to use that slot. I took it home and couldn't get eCS 2.0 rc7 to 
> install on the SATA drive. The install process would go variable 
> distances and then stop. Windows XP would install with no problems so 
> I wondered whether  eCS has troubles with large SATA drives even 
> though it was partitioned. Hence I took it back to the technician and 
> got him to install an old 40G IDE hard drive as well  and to make sure 
> they would both work. I was then able to install eCS 2.0 rc7 on the 
> IDE drive. I thought everything was OK and installed a number of 
> programs but now find that the system freezes if I try to open WIN 16. 
> I could live with this as I only have a couple of programs in my WIN 
> 16 partition.
>
> The bigger problem is that I can't access the internet even though the 
> correct Router lights light up.
>
> The motherboard LAN has a Realtek 8111C chipset.
>
> I went in to MPTS and noted that the Stage 1 screen has "No network 
> adapter" as the first entry and underneath lists other adapters 
> including:
> Realtek  8009  ISA  Ethernet adapter
> Realtek  8019  ISA  Plug and Play Ethernet adapter
> Realtek  8129  Fast Ethernet adapter
> Realtek  8139/8130/810x  Fast Ethernet adapter
> Realtek  RTL8169  MAC  driver
> RTL  8029  PCI  Ethernet adapter
>
> Do I need to install another adapter? If so, where do I get it from?
>
> Hoping someone can advise what I should do.
>
> Regards,
>
> Alan Duval

Hi Alan - it must be that time for trying out hardware that's been 
sitting around a while!

I decided to have another go at installing eCS 2.0RC7 to an AMD Phenom 
X4 powered ASUS M2N-MX SE Plus board with 4GB RAM and a 750GB SATA-II 
drive and an Intel Gigabit NIC card and guess what ... it works! In fact 
it flies! 4 processors sitting at about 1-2% usage no matter what I do! 
But I haven't installed Open Office yet - that will be a good test.

There's a couple of extra steps at the start of the process to prepare 
the large HD as follows:

===================  Large Disk support for eCS 2.0 RC7 Install - Ed 
Durrant  ============

The disk needs to be absolutely clean - not partition table, no MBR etc, 
so to wipe these load the DFSEE 10.1 CDRom use options Fdisk/MBR or EBR 
Area Operations/Wipe MBR track 1 sectors  and Wipe EBR track 1 sectors 
and wipe start of disk to zero. I know, I probably only need to do one 
of these but for now do all 3. Then reboot the PC.
Eject the DFSee CD and insert the eCS 2.0RC7 install CD and take 
standard options until you get to the screen where you can click go to 
maintenance console. When you get there select Tools / Manage Volumes 
and then either the GUI program or the command line one and create a new 
volume - bootable leave it as C: and give it a name. Exit the utility 
and save the changes.

Reboot the system with the eCS 2.0RC7 CD still in. This time select - 
manage your own settings and in the pre-boot menu click NOT to check 
disk integrity (this new utility messes up large disks as it doesn't 
understand them). Now do a normal eCS 2.0 install selecting whatever 
options you need / want.

===================  Large Disk support for eCS 2.0 RC7 Install - Ed 
Durrant  ============

But back to your problem - well you are using the IDE drive as the boot 
drive now (but you may wish to change using the instructions above). The 
NIC - if MPTS is showing "no network adapter" as the first entry then 
you will most likely not get access to the Internet.  What I would 
suggest is to go into MPTS and remove all protocols on all cards shown 
and then remove the card definitions themselves. Exit and restart MPTS 
and add the Realtek driver for your NIC - I suspect this may not be an 
OS/2 native driver, but rather a GenMAC driver. If it is neither, you 
are right, you need to get a card. I'm happy with the Intel Pro/1000 MT 
card that I have but there are others. If you can get one with a native 
driver, it'll be best.

If you either have the driver or add a card and see the same problem 
again - are you using DHCP? There's a bug in GenMAC with some cards, 
where it advertises a MAC address of all zeros and some routers refuse 
to issue an IP address to an all zeros MAC address. try setting IP 
address, subnet mask and DNS address as static, manually configured 
addresses. If communications work then, you probably have the GenMAC 
problem.

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Sat, 09 Jan 2010 22:53:54 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  PC problems

Ed Durrant wrote:
> Alan Duval wrote:
>> Hi,
>>
>> I bought a Gigabyte EP-45-UD-3R motherboard and  Intel dual core 
>> E7500 CPU last year and decided to put it in a spare PC this week to 
>> upgrade it. Assembled it and bought a SATA 500G hard drive as the 
>> stores seem to be mainly selling SATA drives now. After assembling it 
>> I couldn't get it to go, so took it to the local PC shop and the 
>> technician checked the assembly and told me that one RAM slot was 
>> faulty and not to use that slot. I took it home and couldn't get eCS 
>> 2.0 rc7 to install on the SATA drive. The install process would go 
>> variable distances and then stop. Windows XP would install with no 
>> problems so I wondered whether  eCS has troubles with large SATA 
>> drives even though it was partitioned. Hence I took it back to the 
>> technician and got him to install an old 40G IDE hard drive as well  
>> and to make sure they would both work. I was then able to install eCS 
>> 2.0 rc7 on the IDE drive. I thought everything was OK and installed a 
>> number of programs but now find that the system freezes if I try to 
>> open WIN 16. I could live with this as I only have a couple of 
>> programs in my WIN 16 partition.
>>
>> The bigger problem is that I can't access the internet even though 
>> the correct Router lights light up.
>>
>> The motherboard LAN has a Realtek 8111C chipset.
>>
>> I went in to MPTS and noted that the Stage 1 screen has "No network 
>> adapter" as the first entry and underneath lists other adapters 
>> including:
>> Realtek  8009  ISA  Ethernet adapter
>> Realtek  8019  ISA  Plug and Play Ethernet adapter
>> Realtek  8129  Fast Ethernet adapter
>> Realtek  8139/8130/810x  Fast Ethernet adapter
>> Realtek  RTL8169  MAC  driver
>> RTL  8029  PCI  Ethernet adapter
>>
>> Do I need to install another adapter? If so, where do I get it from?
>>
>> Hoping someone can advise what I should do.
>>
>> Regards,
>>
>> Alan Duval
>
> Hi Alan - it must be that time for trying out hardware that's been 
> sitting around a while!
>
> I decided to have another go at installing eCS 2.0RC7 to an AMD Phenom 
> X4 powered ASUS M2N-MX SE Plus board with 4GB RAM and a 750GB SATA-II 
> drive and an Intel Gigabit NIC card and guess what ... it works! In 
> fact it flies! 4 processors sitting at about 1-2% usage no matter what 
> I do! But I haven't installed Open Office yet - that will be a good test.
>
> There's a couple of extra steps at the start of the process to prepare 
> the large HD as follows:
>
> ===================  Large Disk support for eCS 2.0 RC7 Install - Ed 
> Durrant  ============
>
> The disk needs to be absolutely clean - not partition table, no MBR 
> etc, so to wipe these load the DFSEE 10.1 CDRom use options Fdisk/MBR 
> or EBR Area Operations/Wipe MBR track 1 sectors  and Wipe EBR track 1 
> sectors and wipe start of disk to zero. I know, I probably only need 
> to do one of these but for now do all 3. Then reboot the PC.
> Eject the DFSee CD and insert the eCS 2.0RC7 install CD and take 
> standard options until you get to the screen where you can click go to 
> maintenance console. When you get there select Tools / Manage Volumes 
> and then either the GUI program or the command line one and create a 
> new volume - bootable leave it as C: and give it a name. Exit the 
> utility and save the changes.
>
> Reboot the system with the eCS 2.0RC7 CD still in. This time select - 
> manage your own settings and in the pre-boot menu click NOT to check 
> disk integrity (this new utility messes up large disks as it doesn't 
> understand them). Now do a normal eCS 2.0 install selecting whatever 
> options you need / want.
>
> ===================  Large Disk support for eCS 2.0 RC7 Install - Ed 
> Durrant  ============
>
> But back to your problem - well you are using the IDE drive as the 
> boot drive now (but you may wish to change using the instructions 
> above). The NIC - if MPTS is showing "no network adapter" as the first 
> entry then you will most likely not get access to the Internet.  What 
> I would suggest is to go into MPTS and remove all protocols on all 
> cards shown and then remove the card definitions themselves. Exit and 
> restart MPTS and add the Realtek driver for your NIC - I suspect this 
> may not be an OS/2 native driver, but rather a GenMAC driver. If it is 
> neither, you are right, you need to get a card. I'm happy with the 
> Intel Pro/1000 MT card that I have but there are others. If you can 
> get one with a native driver, it'll be best.
>
> If you either have the driver or add a card and see the same problem 
> again - are you using DHCP? There's a bug in GenMAC with some cards, 
> where it advertises a MAC address of all zeros and some routers refuse 
> to issue an IP address to an all zeros MAC address. try setting IP 
> address, subnet mask and DNS address as static, manually configured 
> addresses. If communications work then, you probably have the GenMAC 
> problem.
>
By the way, if you are looking for the Intel Pro/1000 MT - make sure you 
get the correct bus version for your system - they come in PCI and PCI-X 
(and probably PCI Express as well). Looking around, they are quite 
expensive at the moment, I'm pretty sure mine was well under A$100, but 
the cheapest I can find at the moment is $149 !

-- 
Cheers/2

Ed

eComStationAustralia podcast http://eComStationAustralia.podbean dot com or iTunes

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Sat, 09 Jan 2010 21:46:27 +1100
From:  "Peter Rehfisch" <gillpete at vic.australis dot com dot au>
Subject:  Re:  PC problems

Alan Duval wrote- 
>I bought a Gigabyte EP-45-UD-3R motherboard and  Intel dual core E7500 CPU last year 

>The bigger problem is that I can't access the internet even though the 
>correct Router lights light up.
>
>The motherboard LAN has a Realtek 8111C chipset.
>

Alan,

I had problems installing eCS 2.0 rc7 with this LAN chipset on a similar board. I got around it by selecting the "No Network Adapter" 
during installation and then installing the Realtek RTL8169 MAC driver after installation. It is recommended to have

PSD=ACPI.PSD /APIC

in Config.sys with this driver.

Peter R

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Sat, 09 Jan 2010 23:14:10 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  PC problems

Ed Durrant wrote:
> Ed Durrant wrote:
>> Alan Duval wrote:
>>> Hi,
>>>
>>> I bought a Gigabyte EP-45-UD-3R motherboard and  Intel dual core 
>>> E7500 CPU last year and decided to put it in a spare PC this week to 
>>> upgrade it. Assembled it and bought a SATA 500G hard drive as the 
>>> stores seem to be mainly selling SATA drives now. After assembling 
>>> it I couldn't get it to go, so took it to the local PC shop and the 
>>> technician checked the assembly and told me that one RAM slot was 
>>> faulty and not to use that slot. I took it home and couldn't get eCS 
>>> 2.0 rc7 to install on the SATA drive. The install process would go 
>>> variable distances and then stop. Windows XP would install with no 
>>> problems so I wondered whether  eCS has troubles with large SATA 
>>> drives even though it was partitioned. Hence I took it back to the 
>>> technician and got him to install an old 40G IDE hard drive as well  
>>> and to make sure they would both work. I was then able to install 
>>> eCS 2.0 rc7 on the IDE drive. I thought everything was OK and 
>>> installed a number of programs but now find that the system freezes 
>>> if I try to open WIN 16. I could live with this as I only have a 
>>> couple of programs in my WIN 16 partition.
>>>
>>> The bigger problem is that I can't access the internet even though 
>>> the correct Router lights light up.
>>>
>>> The motherboard LAN has a Realtek 8111C chipset.
>>>
>>> I went in to MPTS and noted that the Stage 1 screen has "No network 
>>> adapter" as the first entry and underneath lists other adapters 
>>> including:
>>> Realtek  8009  ISA  Ethernet adapter
>>> Realtek  8019  ISA  Plug and Play Ethernet adapter
>>> Realtek  8129  Fast Ethernet adapter
>>> Realtek  8139/8130/810x  Fast Ethernet adapter
>>> Realtek  RTL8169  MAC  driver
>>> RTL  8029  PCI  Ethernet adapter
>>>
>>> Do I need to install another adapter? If so, where do I get it from?
>>>
>>> Hoping someone can advise what I should do.
>>>
>>> Regards,
>>>
>>> Alan Duval
>>
>> Hi Alan - it must be that time for trying out hardware that's been 
>> sitting around a while!
>>
>> I decided to have another go at installing eCS 2.0RC7 to an AMD 
>> Phenom X4 powered ASUS M2N-MX SE Plus board with 4GB RAM and a 750GB 
>> SATA-II drive and an Intel Gigabit NIC card and guess what ... it 
>> works! In fact it flies! 4 processors sitting at about 1-2% usage no 
>> matter what I do! But I haven't installed Open Office yet - that will 
>> be a good test.
>>
>> There's a couple of extra steps at the start of the process to 
>> prepare the large HD as follows:
>>
>> ===================  Large Disk support for eCS 2.0 RC7 Install - Ed 
>> Durrant  ============
>>
>> The disk needs to be absolutely clean - not partition table, no MBR 
>> etc, so to wipe these load the DFSEE 10.1 CDRom use options Fdisk/MBR 
>> or EBR Area Operations/Wipe MBR track 1 sectors  and Wipe EBR track 1 
>> sectors and wipe start of disk to zero. I know, I probably only need 
>> to do one of these but for now do all 3. Then reboot the PC.
>> Eject the DFSee CD and insert the eCS 2.0RC7 install CD and take 
>> standard options until you get to the screen where you can click go 
>> to maintenance console. When you get there select Tools / Manage 
>> Volumes and then either the GUI program or the command line one and 
>> create a new volume - bootable leave it as C: and give it a name. 
>> Exit the utility and save the changes.
>>
>> Reboot the system with the eCS 2.0RC7 CD still in. This time select - 
>> manage your own settings and in the pre-boot menu click NOT to check 
>> disk integrity (this new utility messes up large disks as it doesn't 
>> understand them). Now do a normal eCS 2.0 install selecting whatever 
>> options you need / want.
>>
>> ===================  Large Disk support for eCS 2.0 RC7 Install - Ed 
>> Durrant  ============
>>
>> But back to your problem - well you are using the IDE drive as the 
>> boot drive now (but you may wish to change using the instructions 
>> above). The NIC - if MPTS is showing "no network adapter" as the 
>> first entry then you will most likely not get access to the 
>> Internet.  What I would suggest is to go into MPTS and remove all 
>> protocols on all cards shown and then remove the card definitions 
>> themselves. Exit and restart MPTS and add the Realtek driver for your 
>> NIC - I suspect this may not be an OS/2 native driver, but rather a 
>> GenMAC driver. If it is neither, you are right, you need to get a 
>> card. I'm happy with the Intel Pro/1000 MT card that I have but there 
>> are others. If you can get one with a native driver, it'll be best.
>>
>> If you either have the driver or add a card and see the same problem 
>> again - are you using DHCP? There's a bug in GenMAC with some cards, 
>> where it advertises a MAC address of all zeros and some routers 
>> refuse to issue an IP address to an all zeros MAC address. try 
>> setting IP address, subnet mask and DNS address as static, manually 
>> configured addresses. If communications work then, you probably have 
>> the GenMAC problem.
>>
> By the way, if you are looking for the Intel Pro/1000 MT - make sure 
> you get the correct bus version for your system - they come in PCI and 
> PCI-X (and probably PCI Express as well). Looking around, they are 
> quite expensive at the moment, I'm pretty sure mine was well under 
> A$100, but the cheapest I can find at the moment is $149 !
>
Thanks Ed for your suggestions. I'm going to download DFSee and wipe the 
500G SATA drive and have another go at installing eCS on it.
I'm fairly sure I tried to install it initially on the new SATA drive. I 
know other OS/2 users have bought this model motherboard and have been 
able to install eCS without trouble so I shouldn't be having problems.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===